spring:
  datasource:
    type: com.alibaba.druid.pool.DruidDataSource
    druid:
      driver-class-name: com.mysql.jdbc.Driver
      url: jdbc:mysql://10.1.1.81:3306/dxhy_manage?allowMultiQueries=true&useUnicode=true&characterEncoding=UTF-8&useSSL=false
      username: root
      password: 123456

  redis:
    database: 12
    host: 10.1.1.186
    port: 6380
    password: 1234qwer
    jedis:
      pool:
        # 最大空闲连接
        max-idle: 500
        # 最小空闲链接
        min-idle: 5
        # 最大连接数（负数表示没有限制）
        max-active: 1000
        # 最大阻塞等待时间（负数表示没有限制）
        max-wait: -1
        #连接超时时间
    timeout: 6000
  rabbitmq:
    host: 10.1.1.186
    port: 5672
    username: guest
    password: guest
  sleuth:
    enabled: true
    http:
      legacy:
        enabled: true


##多数据源的配置，
dynamic:
  datasource:
    basics_basics_read:
      driver-class-name: com.mysql.jdbc.Driver
      url: jdbc:mysql://10.1.1.81:3306/dxhy_manage?allowMultiQueries=true&useUnicode=true&characterEncoding=UTF-8&zeroDateTimeBehavior=convertToNull
      username: root
      password: 123456
    basics_basics_write:
      driver-class-name: com.mysql.jdbc.Driver
      url: jdbc:mysql://10.1.1.81:3306/dxhy_manage?allowMultiQueries=true&useUnicode=true&characterEncoding=UTF-8&zeroDateTimeBehavior=convertToNull
      username: root
      password: 123456
    business48_business_read:
      driver-class-name: com.mysql.jdbc.Driver
      url: jdbc:mysql://10.1.1.81:3306/dxtax_jxdqyjk1?allowMultiQueries=true&useUnicode=true&characterEncoding=UTF-8&zeroDateTimeBehavior=convertToNull
      username: root
      password: 123456
    business48_business_write:
      driver-class-name: com.mysql.jdbc.Driver
      url: jdbc:mysql://10.1.1.81:3306/dxtax_jxdqyjk1?allowMultiQueries=true&useUnicode=true&characterEncoding=UTF-8&zeroDateTimeBehavior=convertToNull
      username: root
      password: 123456
    business50_business_write:
      driver-class-name: com.mysql.jdbc.Driver
      url: jdbc:mysql://10.1.1.81:3306/dxtax_jxdqyjk1?allowMultiQueries=true&useUnicode=true&characterEncoding=UTF-8&zeroDateTimeBehavior=convertToNull
      username: root
      password: 123456
    business147_business_write:
      driver-class-name: com.mysql.jdbc.Driver
      url: jdbc:mysql://10.1.1.81:3306/dxtax_jxdqyjk1?allowMultiQueries=true&useUnicode=true&characterEncoding=UTF-8&zeroDateTimeBehavior=convertToNull
      username: root
      password: 123456

logging:
  level:
    com.dxhy: DEBUG
  file:
    path: /Volumes/product/project/logs/gyl/${spring.application.name}/
    name: ${logging.file.path}${spring.application.name}




eureka:
  instance:
    preferIpAddress: true
    statusPageUrlPath: ${server.servlet.context-path}/info
    healthCheckUrlPath: ${server.servlet.context-path}/health
    leaseRenewalIntervalInSeconds: 30
    leaseExpirationDurationInSeconds: 90
    instance-id: ${spring.application.name}:${spring.cloud.client.ipaddress}:${server.port}
    ip-address: 10.1.29.183
  client:
    serviceUrl:
      defaultZone: http://127.0.0.1:8761/eureka/
data:
  initialSize: 10
  maxActive: 150
  minIdle: -1
  maxWait: 60000
  timeBetweenEvictionRunsMillis: 60000
  minEvictableIdleTimeMillis: 3000000
  maxEvictableIdleTimeMillis: 18000000
  validationQuery: SELECT 1 FROM DUAL
  validationQueryTimeout: -1
  testOnBorrow: false
  testOnReturn: false
  testWhileIdle: true
  poolPreparedStatements: false
  maxOpenPreparedStatements: -1
  sharePreparedStatements: false

pro:
  version: 1.0
  taxManage:
    username: daxiang
    password: Gfx#@f26
    taxManageUrl: http://file.taxservicesnew.cn/invoicefilenew/taxManagetest
    getInfoUrl: http://file.taxservices.cn/invoicefilenew/getTaxInfo
